$ErrorActionPreference	= 'Stop';
$toolsDir				= "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$packageName			= 'rvtools'
$installerType			= 'msi'
$url					= 'https://robware.net/download/c2f0942d59a42901b18e06ea73a4dc4be8e57670c8973429c5ba5da99f606eb6/RVTools3.11.9.msi'
$softwareName			= 'RVTools*'
$checksum				= '242253FDA3029845F7B966B8CD790776AE26E5A9C41AF6A9D0B5D3371C72DA22'
$checksumType			= 'sha256'
$silentArgs			= "/qn REBOOT=ReallySuppress"
$validExitCodes		= @(0)

	$packageArgs = @{
	  packageName		= $env:ChocolateyPackageName
	  unzipLocation		= $toolsDir
	  fileType			= $installerType
	  url				= $url
	  softwareName		= $softwareName
	  checksum			= $checksum
	  checksumType		= $checksumType
	  silentArgs		= $silentArgs
	  validExitCodes	= $validExitCodes
	}

Install-ChocolateyPackage @packageArgs
